* {
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  color: #333;
  background-color: ghostwhite;
}

.App {
  display: flex;
  flex-direction: column;
  column-gap: 10px;
  row-gap: 20px;
  max-width: 20rem;
  align-items: center;
  margin-left: 10rem;
}

.bill,
.service,
.reset,
.total,
header {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 20rem;
}

.total {
  font-weight: 700;
  padding-top: 2rem;
}
.btn {
  display: inline-block;
  outline: 0;
  cursor: pointer;
  border: none;
  padding: 0 56px;
  height: 45px;
  line-height: 45px;
  border-radius: 7px;
  background-color: #0070f3;
  color: white;
  font-weight: 400;
  font-size: 16px;
  box-shadow: 0 2px 5px 0 rgb(0 118 255 / 39%);
  transition: background 0.2s ease, color 0.2s ease, box-shadow 0.2s ease;
}
.btn :hover {
  background: rgba(0, 118, 255, 0.9);
  box-shadow: 0 2px 5px rgb(0 118 255 / 23%);
}
.btn:active {
  background-color: #0048bb;
  box-shadow: 0 2px 5px rgb(0 118 255 / 23%);
}

.bill-input {
  padding: 3px 8px;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.4;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #e8eaed;
  appearance: none;
  border-radius: 4px;
  box-shadow: 0 1px 3px -2px #9098a9;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.bill-input:focus {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
}

.select {
  position: relative;
  min-width: 200px;
}

select {
  padding: 5px 15px 5px 12px;

  border: 1px solid #e8eaed;
  border-radius: 5px;
  background: white;
  box-shadow: 0 1px 3px -2px #9098a9;
  cursor: pointer;
  font-family: inherit;
  font-size: 16px;
  transition: all 150ms ease;

  color: #5a667f;
}
option {
  color: #223254;
}
select:focus {
  outline: none;
  border-color: #86b7fe;
  box-shadow: 0 0 0 2px rgba(#0077ff, 0.2);
}
